Interface BlobEndpointBuilderFactory.BlobEndpointProducerBuilder
- All Superinterfaces:
org.apache.camel.builder.EndpointProducerBuilder,org.apache.camel.EndpointProducerResolver
- All Known Subinterfaces:
BlobEndpointBuilderFactory.BlobEndpointBuilder
- Enclosing interface:
BlobEndpointBuilderFactory
public static interface BlobEndpointBuilderFactory.BlobEndpointProducerBuilder
extends org.apache.camel.builder.EndpointProducerBuilder
Builder for endpoint producers for the Azure Storage Blob Service component.
-
Method Summary
Modifier and TypeMethodDescriptionAccess key for the associated azure account name to be used for authentication with azure blob services.advanced()azureClientId(String azureClientId) Azure Client ID for authentication with Azure Identity.azureClientSecret(String azureClientSecret) Azure Client Secret for authentication with Azure Identity.azureTenantId(String azureTenantId) Azure Tenant ID for authentication with Azure Identity.The blob name, to consume specific blob from a container.blobOffset(long blobOffset) Set the blob offset for the upload or download operations, default is 0.blobOffset(String blobOffset) Set the blob offset for the upload or download operations, default is 0.blobSequenceNumber(Long blobSequenceNumber) A user-controlled value that you can use to track requests.blobSequenceNumber(String blobSequenceNumber) A user-controlled value that you can use to track requests.blobServiceClient(com.azure.storage.blob.BlobServiceClient blobServiceClient) Client to a storage account.blobServiceClient(String blobServiceClient) Client to a storage account.The blob type in order to initiate the appropriate settings for each blob type.blobType(org.apache.camel.component.azure.storage.blob.BlobType blobType) The blob type in order to initiate the appropriate settings for each blob type.blockListType(com.azure.storage.blob.models.BlockListType blockListType) Specifies which type of blocks to return.blockListType(String blockListType) Specifies which type of blocks to return.The block size in bytes to use for chunked uploads with uploadBlockBlobChunked operation.The block size in bytes to use for chunked uploads with uploadBlockBlobChunked operation.changeFeedContext(com.azure.core.util.Context changeFeedContext) When using getChangeFeed producer operation, this gives additional context that is passed through the Http pipeline during the service call.changeFeedContext(String changeFeedContext) When using getChangeFeed producer operation, this gives additional context that is passed through the Http pipeline during the service call.changeFeedEndTime(String changeFeedEndTime) When using getChangeFeed producer operation, this filters the results to return events approximately before the end time.changeFeedEndTime(OffsetDateTime changeFeedEndTime) When using getChangeFeed producer operation, this filters the results to return events approximately before the end time.changeFeedStartTime(String changeFeedStartTime) When using getChangeFeed producer operation, this filters the results to return events approximately after the start time.changeFeedStartTime(OffsetDateTime changeFeedStartTime) When using getChangeFeed producer operation, this filters the results to return events approximately after the start time.closeStreamAfterRead(boolean closeStreamAfterRead) Close the stream after read or keep it open, default is true.closeStreamAfterRead(String closeStreamAfterRead) Close the stream after read or keep it open, default is true.closeStreamAfterWrite(boolean closeStreamAfterWrite) Close the stream after write or keep it open, default is true.closeStreamAfterWrite(String closeStreamAfterWrite) Close the stream after write or keep it open, default is true.commitBlockListLater(boolean commitBlockListLater) When is set to true, the staged blocks will not be committed directly.commitBlockListLater(String commitBlockListLater) When is set to true, the staged blocks will not be committed directly.createAppendBlob(boolean createAppendBlob) When is set to true, the append blocks will be created when committing append blocks.createAppendBlob(String createAppendBlob) When is set to true, the append blocks will be created when committing append blocks.createPageBlob(boolean createPageBlob) When is set to true, the page blob will be created when uploading page blob.createPageBlob(String createPageBlob) When is set to true, the page blob will be created when uploading page blob.credentials(com.azure.storage.common.StorageSharedKeyCredential credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.credentials(String credentials) StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information.credentialType(String credentialType) Determines the credential strategy to adopt.credentialType(org.apache.camel.component.azure.storage.blob.CredentialType credentialType) Determines the credential strategy to adopt.How many bytes to include in the range.How many bytes to include in the range.downloadLinkExpiration(Long downloadLinkExpiration) Override the default expiration (millis) of URL download link.downloadLinkExpiration(String downloadLinkExpiration) Override the default expiration (millis) of URL download link.The file directory where the downloaded blobs will be saved to, this can be used in both, producer and consumer.leaseBlob(boolean leaseBlob) Sets whether a lease should be acquired when accessing the blob.Sets whether a lease should be acquired when accessing the blob.leaseDurationInSeconds(Integer leaseDurationInSeconds) Sets the lease duration in seconds.leaseDurationInSeconds(String leaseDurationInSeconds) Sets the lease duration in seconds.maxConcurrency(Integer maxConcurrency) The maximum number of parallel requests to use during upload with uploadBlockBlobChunked operation.maxConcurrency(String maxConcurrency) The maximum number of parallel requests to use during upload with uploadBlockBlobChunked operation.maxResultsPerPage(Integer maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.maxResultsPerPage(String maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements.maxRetryRequests(int maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.maxRetryRequests(String maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body.maxSingleUploadSize(Long maxSingleUploadSize) The maximum size in bytes for a single upload request with uploadBlockBlobChunked operation.maxSingleUploadSize(String maxSingleUploadSize) The maximum size in bytes for a single upload request with uploadBlockBlobChunked operation.The blob operation that can be used with this component on the producer.operation(org.apache.camel.component.azure.storage.blob.BlobOperationsDefinition operation) The blob operation that can be used with this component on the producer.pageBlobSize(Long pageBlobSize) Specifies the maximum size for the page blob, up to 8 TB.pageBlobSize(String pageBlobSize) Specifies the maximum size for the page blob, up to 8 TB.Filters the results to return only blobs whose names begin with the specified prefix.Filters the results to return only blobs whose names match the specified regular expression.In case of usage of Shared Access Signature we'll need to set a SAS Token.serviceClient(com.azure.storage.blob.BlobServiceClient serviceClient) Client to a storage account.serviceClient(String serviceClient) Client to a storage account.sourceBlobAccessKey(String sourceBlobAccessKey) Source Blob Access Key: for copyblob operation, sadly, we need to have an accessKey for the source blob we want to copy Passing an accessKey as header, it's unsafe so we could set as key.An optional timeout value beyond which a RuntimeException will be raised.An optional timeout value beyond which a RuntimeException will be raised.Methods inherited from interface org.apache.camel.builder.EndpointProducerBuilder
doSetMultiValueProperties, doSetMultiValueProperty, doSetProperty, expr, getRawUriMethods inherited from interface org.apache.camel.EndpointProducerResolver
resolve, resolve
-
Method Details
-
advanced
-
blobName
The blob name, to consume specific blob from a container. However, on producer it is only required for the operations on the blob level. The option is a:java.lang.Stringtype. Group: common- Parameters:
blobName- the value to set- Returns:
- the dsl builder
-
blobOffset
Set the blob offset for the upload or download operations, default is 0. The option is a:longtype. Default: 0 Group: common- Parameters:
blobOffset- the value to set- Returns:
- the dsl builder
-
blobOffset
Set the blob offset for the upload or download operations, default is 0. The option will be converted to alongtype. Default: 0 Group: common- Parameters:
blobOffset- the value to set- Returns:
- the dsl builder
-
blobServiceClient
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder blobServiceClient(com.azure.storage.blob.BlobServiceClient blobServiceClient) Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through getBlobContainerClient(String), and operations on a blob are available on BlobClient through getBlobContainerClient(String).getBlobClient(String). The option is a:com.azure.storage.blob.BlobServiceClienttype. Group: common- Parameters:
blobServiceClient- the value to set- Returns:
- the dsl builder
-
blobServiceClient
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder blobServiceClient(String blobServiceClient) Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through getBlobContainerClient(String), and operations on a blob are available on BlobClient through getBlobContainerClient(String).getBlobClient(String). The option will be converted to acom.azure.storage.blob.BlobServiceClienttype. Group: common- Parameters:
blobServiceClient- the value to set- Returns:
- the dsl builder
-
blobType
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder blobType(org.apache.camel.component.azure.storage.blob.BlobType blobType) The blob type in order to initiate the appropriate settings for each blob type. The option is a:org.apache.camel.component.azure.storage.blob.BlobTypetype. Default: blockblob Group: common- Parameters:
blobType- the value to set- Returns:
- the dsl builder
-
blobType
The blob type in order to initiate the appropriate settings for each blob type. The option will be converted to aorg.apache.camel.component.azure.storage.blob.BlobTypetype. Default: blockblob Group: common- Parameters:
blobType- the value to set- Returns:
- the dsl builder
-
closeStreamAfterRead
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder closeStreamAfterRead(boolean closeStreamAfterRead) Close the stream after read or keep it open, default is true. The option is a:booleantype. Default: true Group: common- Parameters:
closeStreamAfterRead- the value to set- Returns:
- the dsl builder
-
closeStreamAfterRead
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder closeStreamAfterRead(String closeStreamAfterRead) Close the stream after read or keep it open, default is true. The option will be converted to abooleantype. Default: true Group: common- Parameters:
closeStreamAfterRead- the value to set- Returns:
- the dsl builder
-
credentials
StorageSharedKeyCredential can be injected to create the azure client, this holds the important authentication information. The option will be converted to acom.azure.storage.common.StorageSharedKeyCredentialtype. Group: common- Parameters:
credentials- the value to set- Returns:
- the dsl builder
-
credentialType
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder credentialType(org.apache.camel.component.azure.storage.blob.CredentialType credentialType) Determines the credential strategy to adopt. The option is a:org.apache.camel.component.azure.storage.blob.CredentialTypetype. Default: AZURE_IDENTITY Group: common- Parameters:
credentialType- the value to set- Returns:
- the dsl builder
-
credentialType
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder credentialType(String credentialType) Determines the credential strategy to adopt. The option will be converted to aorg.apache.camel.component.azure.storage.blob.CredentialTypetype. Default: AZURE_IDENTITY Group: common- Parameters:
credentialType- the value to set- Returns:
- the dsl builder
-
dataCount
How many bytes to include in the range. Must be greater than or equal to 0 if specified. The option is a:java.lang.Longtype. Group: common- Parameters:
dataCount- the value to set- Returns:
- the dsl builder
-
dataCount
How many bytes to include in the range. Must be greater than or equal to 0 if specified. The option will be converted to ajava.lang.Longtype. Group: common- Parameters:
dataCount- the value to set- Returns:
- the dsl builder
-
fileDir
The file directory where the downloaded blobs will be saved to, this can be used in both, producer and consumer. The option is a:java.lang.Stringtype. Group: common- Parameters:
fileDir- the value to set- Returns:
- the dsl builder
-
leaseBlob
Sets whether a lease should be acquired when accessing the blob. When set to true, the component will acquire a lease before performing blob operations that require exclusive access. The option is a:booleantype. Default: false Group: common- Parameters:
leaseBlob- the value to set- Returns:
- the dsl builder
-
leaseBlob
Sets whether a lease should be acquired when accessing the blob. When set to true, the component will acquire a lease before performing blob operations that require exclusive access. The option will be converted to abooleantype. Default: false Group: common- Parameters:
leaseBlob- the value to set- Returns:
- the dsl builder
-
leaseDurationInSeconds
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder leaseDurationInSeconds(Integer leaseDurationInSeconds) Sets the lease duration in seconds. Use -1 for infinite or a value between 15 and 60 for fixed leases. The option is a:java.lang.Integertype. Default: 60 Group: common- Parameters:
leaseDurationInSeconds- the value to set- Returns:
- the dsl builder
-
leaseDurationInSeconds
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder leaseDurationInSeconds(String leaseDurationInSeconds) Sets the lease duration in seconds. Use -1 for infinite or a value between 15 and 60 for fixed leases. The option will be converted to ajava.lang.Integertype. Default: 60 Group: common- Parameters:
leaseDurationInSeconds- the value to set- Returns:
- the dsl builder
-
maxResultsPerPage
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder maxResultsPerPage(Integer maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements. If the request does not specify maxResultsPerPage or specifies a value greater than 5,000, the server will return up to 5,000 items. The option is a:java.lang.Integertype. Group: common- Parameters:
maxResultsPerPage- the value to set- Returns:
- the dsl builder
-
maxResultsPerPage
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder maxResultsPerPage(String maxResultsPerPage) Specifies the maximum number of blobs to return, including all BlobPrefix elements. If the request does not specify maxResultsPerPage or specifies a value greater than 5,000, the server will return up to 5,000 items. The option will be converted to ajava.lang.Integertype. Group: common- Parameters:
maxResultsPerPage- the value to set- Returns:
- the dsl builder
-
maxRetryRequests
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder maxRetryRequests(int maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body. The option is a:inttype. Default: 0 Group: common- Parameters:
maxRetryRequests- the value to set- Returns:
- the dsl builder
-
maxRetryRequests
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder maxRetryRequests(String maxRetryRequests) Specifies the maximum number of additional HTTP Get requests that will be made while reading the data from a response body. The option will be converted to ainttype. Default: 0 Group: common- Parameters:
maxRetryRequests- the value to set- Returns:
- the dsl builder
-
prefix
Filters the results to return only blobs whose names begin with the specified prefix. May be null to return all blobs. The option is a:java.lang.Stringtype. Group: common- Parameters:
prefix- the value to set- Returns:
- the dsl builder
-
regex
Filters the results to return only blobs whose names match the specified regular expression. May be null to return all if both prefix and regex are set, regex takes the priority and prefix is ignored. The option is a:java.lang.Stringtype. Group: common- Parameters:
regex- the value to set- Returns:
- the dsl builder
-
sasToken
In case of usage of Shared Access Signature we'll need to set a SAS Token. The option is a:java.lang.Stringtype. Group: common- Parameters:
sasToken- the value to set- Returns:
- the dsl builder
-
serviceClient
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder serviceClient(com.azure.storage.blob.BlobServiceClient serviceClient) Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through BlobServiceClient#getBlobContainerClient(String), and operations on a blob are available on BlobClient through BlobContainerClient#getBlobClient(String). The option is a:com.azure.storage.blob.BlobServiceClienttype. Group: common- Parameters:
serviceClient- the value to set- Returns:
- the dsl builder
-
serviceClient
Client to a storage account. This client does not hold any state about a particular storage account but is instead a convenient way of sending off appropriate requests to the resource on the service. It may also be used to construct URLs to blobs and containers. This client contains operations on a service account. Operations on a container are available on BlobContainerClient through BlobServiceClient#getBlobContainerClient(String), and operations on a blob are available on BlobClient through BlobContainerClient#getBlobClient(String). The option will be converted to acom.azure.storage.blob.BlobServiceClienttype. Group: common- Parameters:
serviceClient- the value to set- Returns:
- the dsl builder
-
timeout
An optional timeout value beyond which a RuntimeException will be raised. The option is a:java.time.Durationtype. Group: common- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
timeout
An optional timeout value beyond which a RuntimeException will be raised. The option will be converted to ajava.time.Durationtype. Group: common- Parameters:
timeout- the value to set- Returns:
- the dsl builder
-
blobSequenceNumber
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder blobSequenceNumber(Long blobSequenceNumber) A user-controlled value that you can use to track requests. The value of the sequence number must be between 0 and 263 - 1.The default value is 0. The option is a:java.lang.Longtype. Default: 0 Group: producer- Parameters:
blobSequenceNumber- the value to set- Returns:
- the dsl builder
-
blobSequenceNumber
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder blobSequenceNumber(String blobSequenceNumber) A user-controlled value that you can use to track requests. The value of the sequence number must be between 0 and 263 - 1.The default value is 0. The option will be converted to ajava.lang.Longtype. Default: 0 Group: producer- Parameters:
blobSequenceNumber- the value to set- Returns:
- the dsl builder
-
blockListType
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder blockListType(com.azure.storage.blob.models.BlockListType blockListType) Specifies which type of blocks to return. The option is a:com.azure.storage.blob.models.BlockListTypetype. Default: COMMITTED Group: producer- Parameters:
blockListType- the value to set- Returns:
- the dsl builder
-
blockListType
Specifies which type of blocks to return. The option will be converted to acom.azure.storage.blob.models.BlockListTypetype. Default: COMMITTED Group: producer- Parameters:
blockListType- the value to set- Returns:
- the dsl builder
-
blockSize
The block size in bytes to use for chunked uploads with uploadBlockBlobChunked operation. Default is 4MB (4194304). Maximum is 4000MB. Must be greater than 0. The option is a:java.lang.Longtype. Group: producer- Parameters:
blockSize- the value to set- Returns:
- the dsl builder
-
blockSize
The block size in bytes to use for chunked uploads with uploadBlockBlobChunked operation. Default is 4MB (4194304). Maximum is 4000MB. Must be greater than 0. The option will be converted to ajava.lang.Longtype. Group: producer- Parameters:
blockSize- the value to set- Returns:
- the dsl builder
-
changeFeedContext
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder changeFeedContext(com.azure.core.util.Context changeFeedContext) When using getChangeFeed producer operation, this gives additional context that is passed through the Http pipeline during the service call. The option is a:com.azure.core.util.Contexttype. Group: producer- Parameters:
changeFeedContext- the value to set- Returns:
- the dsl builder
-
changeFeedContext
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder changeFeedContext(String changeFeedContext) When using getChangeFeed producer operation, this gives additional context that is passed through the Http pipeline during the service call. The option will be converted to acom.azure.core.util.Contexttype. Group: producer- Parameters:
changeFeedContext- the value to set- Returns:
- the dsl builder
-
changeFeedEndTime
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder changeFeedEndTime(OffsetDateTime changeFeedEndTime) When using getChangeFeed producer operation, this filters the results to return events approximately before the end time. Note: A few events belonging to the next hour can also be returned. A few events belonging to this hour can be missing; to ensure all events from the hour are returned, round the end time up by an hour. The option is a:java.time.OffsetDateTimetype. Group: producer- Parameters:
changeFeedEndTime- the value to set- Returns:
- the dsl builder
-
changeFeedEndTime
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder changeFeedEndTime(String changeFeedEndTime) When using getChangeFeed producer operation, this filters the results to return events approximately before the end time. Note: A few events belonging to the next hour can also be returned. A few events belonging to this hour can be missing; to ensure all events from the hour are returned, round the end time up by an hour. The option will be converted to ajava.time.OffsetDateTimetype. Group: producer- Parameters:
changeFeedEndTime- the value to set- Returns:
- the dsl builder
-
changeFeedStartTime
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder changeFeedStartTime(OffsetDateTime changeFeedStartTime) When using getChangeFeed producer operation, this filters the results to return events approximately after the start time. Note: A few events belonging to the previous hour can also be returned. A few events belonging to this hour can be missing; to ensure all events from the hour are returned, round the start time down by an hour. The option is a:java.time.OffsetDateTimetype. Group: producer- Parameters:
changeFeedStartTime- the value to set- Returns:
- the dsl builder
-
changeFeedStartTime
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder changeFeedStartTime(String changeFeedStartTime) When using getChangeFeed producer operation, this filters the results to return events approximately after the start time. Note: A few events belonging to the previous hour can also be returned. A few events belonging to this hour can be missing; to ensure all events from the hour are returned, round the start time down by an hour. The option will be converted to ajava.time.OffsetDateTimetype. Group: producer- Parameters:
changeFeedStartTime- the value to set- Returns:
- the dsl builder
-
closeStreamAfterWrite
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder closeStreamAfterWrite(boolean closeStreamAfterWrite) Close the stream after write or keep it open, default is true. The option is a:booleantype. Default: true Group: producer- Parameters:
closeStreamAfterWrite- the value to set- Returns:
- the dsl builder
-
closeStreamAfterWrite
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder closeStreamAfterWrite(String closeStreamAfterWrite) Close the stream after write or keep it open, default is true. The option will be converted to abooleantype. Default: true Group: producer- Parameters:
closeStreamAfterWrite- the value to set- Returns:
- the dsl builder
-
commitBlockListLater
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder commitBlockListLater(boolean commitBlockListLater) When is set to true, the staged blocks will not be committed directly. The option is a:booleantype. Default: true Group: producer- Parameters:
commitBlockListLater- the value to set- Returns:
- the dsl builder
-
commitBlockListLater
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder commitBlockListLater(String commitBlockListLater) When is set to true, the staged blocks will not be committed directly. The option will be converted to abooleantype. Default: true Group: producer- Parameters:
commitBlockListLater- the value to set- Returns:
- the dsl builder
-
createAppendBlob
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder createAppendBlob(boolean createAppendBlob) When is set to true, the append blocks will be created when committing append blocks. The option is a:booleantype. Default: true Group: producer- Parameters:
createAppendBlob- the value to set- Returns:
- the dsl builder
-
createAppendBlob
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder createAppendBlob(String createAppendBlob) When is set to true, the append blocks will be created when committing append blocks. The option will be converted to abooleantype. Default: true Group: producer- Parameters:
createAppendBlob- the value to set- Returns:
- the dsl builder
-
createPageBlob
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder createPageBlob(boolean createPageBlob) When is set to true, the page blob will be created when uploading page blob. The option is a:booleantype. Default: true Group: producer- Parameters:
createPageBlob- the value to set- Returns:
- the dsl builder
-
createPageBlob
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder createPageBlob(String createPageBlob) When is set to true, the page blob will be created when uploading page blob. The option will be converted to abooleantype. Default: true Group: producer- Parameters:
createPageBlob- the value to set- Returns:
- the dsl builder
-
downloadLinkExpiration
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder downloadLinkExpiration(Long downloadLinkExpiration) Override the default expiration (millis) of URL download link. The option is a:java.lang.Longtype. Group: producer- Parameters:
downloadLinkExpiration- the value to set- Returns:
- the dsl builder
-
downloadLinkExpiration
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder downloadLinkExpiration(String downloadLinkExpiration) Override the default expiration (millis) of URL download link. The option will be converted to ajava.lang.Longtype. Group: producer- Parameters:
downloadLinkExpiration- the value to set- Returns:
- the dsl builder
-
maxConcurrency
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder maxConcurrency(Integer maxConcurrency) The maximum number of parallel requests to use during upload with uploadBlockBlobChunked operation. Default is determined by the Azure SDK based on available processors. The option is a:java.lang.Integertype. Group: producer- Parameters:
maxConcurrency- the value to set- Returns:
- the dsl builder
-
maxConcurrency
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder maxConcurrency(String maxConcurrency) The maximum number of parallel requests to use during upload with uploadBlockBlobChunked operation. Default is determined by the Azure SDK based on available processors. The option will be converted to ajava.lang.Integertype. Group: producer- Parameters:
maxConcurrency- the value to set- Returns:
- the dsl builder
-
maxSingleUploadSize
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder maxSingleUploadSize(Long maxSingleUploadSize) The maximum size in bytes for a single upload request with uploadBlockBlobChunked operation. Files smaller than this will be uploaded in a single request. Files larger will use chunked upload with blocks of size blockSize. Default is 256MB. The option is a:java.lang.Longtype. Group: producer- Parameters:
maxSingleUploadSize- the value to set- Returns:
- the dsl builder
-
maxSingleUploadSize
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder maxSingleUploadSize(String maxSingleUploadSize) The maximum size in bytes for a single upload request with uploadBlockBlobChunked operation. Files smaller than this will be uploaded in a single request. Files larger will use chunked upload with blocks of size blockSize. Default is 256MB. The option will be converted to ajava.lang.Longtype. Group: producer- Parameters:
maxSingleUploadSize- the value to set- Returns:
- the dsl builder
-
operation
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder operation(org.apache.camel.component.azure.storage.blob.BlobOperationsDefinition operation) The blob operation that can be used with this component on the producer. The option is a:org.apache.camel.component.azure.storage.blob.BlobOperationsDefinitiontype. Default: listBlobContainers Group: producer- Parameters:
operation- the value to set- Returns:
- the dsl builder
-
operation
The blob operation that can be used with this component on the producer. The option will be converted to aorg.apache.camel.component.azure.storage.blob.BlobOperationsDefinitiontype. Default: listBlobContainers Group: producer- Parameters:
operation- the value to set- Returns:
- the dsl builder
-
pageBlobSize
Specifies the maximum size for the page blob, up to 8 TB. The page blob size must be aligned to a 512-byte boundary. The option is a:java.lang.Longtype. Default: 512 Group: producer- Parameters:
pageBlobSize- the value to set- Returns:
- the dsl builder
-
pageBlobSize
Specifies the maximum size for the page blob, up to 8 TB. The page blob size must be aligned to a 512-byte boundary. The option will be converted to ajava.lang.Longtype. Default: 512 Group: producer- Parameters:
pageBlobSize- the value to set- Returns:
- the dsl builder
-
accessKey
Access key for the associated azure account name to be used for authentication with azure blob services. The option is a:java.lang.Stringtype. Group: security- Parameters:
accessKey- the value to set- Returns:
- the dsl builder
-
azureClientId
Azure Client ID for authentication with Azure Identity. The option is a:java.lang.Stringtype. Group: security- Parameters:
azureClientId- the value to set- Returns:
- the dsl builder
-
azureClientSecret
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder azureClientSecret(String azureClientSecret) Azure Client Secret for authentication with Azure Identity. The option is a:java.lang.Stringtype. Group: security- Parameters:
azureClientSecret- the value to set- Returns:
- the dsl builder
-
azureTenantId
Azure Tenant ID for authentication with Azure Identity. The option is a:java.lang.Stringtype. Group: security- Parameters:
azureTenantId- the value to set- Returns:
- the dsl builder
-
sourceBlobAccessKey
default BlobEndpointBuilderFactory.BlobEndpointProducerBuilder sourceBlobAccessKey(String sourceBlobAccessKey) Source Blob Access Key: for copyblob operation, sadly, we need to have an accessKey for the source blob we want to copy Passing an accessKey as header, it's unsafe so we could set as key. The option is a:java.lang.Stringtype. Group: security- Parameters:
sourceBlobAccessKey- the value to set- Returns:
- the dsl builder
-